> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vinmake.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Materials

> List materials with pagination (Redis-cached, 5 min TTL).



## OpenAPI

````yaml /api/openapi-cutmake.json get /api/v1/materials
openapi: 3.1.0
info:
  title: VM App API
  version: 0.1.0
servers:
  - url: https://vinmake-erp.onrender.com
security: []
paths:
  /api/v1/materials:
    get:
      tags:
        - Materials
      summary: List Materials
      description: List materials with pagination (Redis-cached, 5 min TTL).
      operationId: list_materials_api_v1_materials_get
      parameters:
        - name: page
          in: query
          required: false
          schema:
            type: integer
            minimum: 1
            default: 1
            title: Page
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            maximum: 100
            minimum: 1
            default: 10
            title: Limit
        - name: verificationStatus
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Verificationstatus
        - name: materialType
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Materialtype
        - name: sort
          in: query
          required: false
          schema:
            type: string
            default: '-created_at'
            title: Sort
        - name: q
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Q
        - name: X-Org-Id
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: X-Org-Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaginatedMaterialsResponse'
        '404':
          description: Not found
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - OAuth2PasswordBearer: []
components:
  schemas:
    PaginatedMaterialsResponse:
      properties:
        data:
          items:
            $ref: '#/components/schemas/MaterialCardResponse'
          type: array
          title: Data
        pagination:
          $ref: '#/components/schemas/routers__external__materials__PaginationInfo'
      type: object
      required:
        - data
        - pagination
      title: PaginatedMaterialsResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    MaterialCardResponse:
      properties:
        documentId:
          type: string
          title: Documentid
        refId:
          anyOf:
            - type: string
            - type: 'null'
          title: Refid
        materialName:
          anyOf:
            - type: string
            - type: 'null'
          title: Materialname
        materialType:
          anyOf:
            - type: string
            - type: 'null'
          title: Materialtype
        supplierId:
          anyOf:
            - type: string
            - type: 'null'
          title: Supplierid
        supplier:
          anyOf:
            - type: string
            - type: 'null'
          title: Supplier
        supplierName:
          anyOf:
            - type: string
            - type: 'null'
          title: Suppliername
        keyword:
          anyOf:
            - type: string
            - type: 'null'
          title: Keyword
        costPerUnit:
          anyOf:
            - type: string
            - type: 'null'
          title: Costperunit
        originalCostPerUnit:
          anyOf:
            - type: number
            - type: 'null'
          title: Originalcostperunit
        currency:
          anyOf:
            - type: string
            - type: 'null'
          title: Currency
        unit:
          anyOf:
            - type: string
            - type: 'null'
          title: Unit
        verificationStatus:
          anyOf:
            - type: string
            - type: 'null'
          title: Verificationstatus
        versionNumber:
          anyOf:
            - type: string
            - type: 'null'
          title: Versionnumber
        masterMaterialId:
          anyOf:
            - type: string
            - type: 'null'
          title: Mastermaterialid
        skuCount:
          type: integer
          title: Skucount
          default: 0
        picture:
          anyOf:
            - type: string
            - type: 'null'
          title: Picture
        createdAt:
          anyOf:
            - type: string
            - type: 'null'
          title: Createdat
      type: object
      required:
        - documentId
      title: MaterialCardResponse
    routers__external__materials__PaginationInfo:
      properties:
        page:
          type: integer
          title: Page
        limit:
          type: integer
          title: Limit
        total:
          type: integer
          title: Total
        totalPages:
          type: integer
          title: Totalpages
        hasNext:
          type: boolean
          title: Hasnext
        hasPrev:
          type: boolean
          title: Hasprev
      type: object
      required:
        - page
        - limit
        - total
        - totalPages
        - hasNext
        - hasPrev
      title: PaginationInfo
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    OAuth2PasswordBearer:
      type: oauth2
      flows:
        password:
          scopes: {}
          tokenUrl: /auth/login

````